Subject: [bug#42049] [PATCH 0/4] build-system/cargo: Propagations across the crate closure.

From: Leo Famulari <[email-masked]>
Date: Fri, 14 Aug 2020 17:26:18 -0400

On Thu, Aug 13, 2020 at 06:16:38PM +0200, Jakub Kądziołka wrote:
> Moreover, note that the reason the current system was introduced in the
> first place was to avoid the quadratic builds. I suppose this is less of
> an issue in go-build-system due to the order-of-magnitude difference in
> compiler speed on typical source code.

Right. The go-build-system is far from optimally efficient but, in
practice, it's not too slow. I haven't counted but I figure that Rust
dependency graphs are an order of magnitude larger.